declare malign {
/* $Author: nagami $
** $Date: 1996/07/25 13:37:47 $
** $Revision: 1.1.1.1 $
** $State: Exp $ */

    instrin align;
    input adr<32>, mode<2>;
    output adrOut<32>, be<4>;

    instrin signed;
    instrin unsigned;
    instrin store;
    input din<32>;
    output dout<32>;

    instrout misalign;

    instr_arg align(adr, mode);
    instr_arg signed(din);
    instr_arg unsigned(din);
    instr_arg store(din);

/***
  N.B: Instruct signals `signed', `unsigned' and `store' are
  exclusive, and each of them must be invoked *WITH* the instruct
  signal `align'.
  
  malign M;
  par {
      M.align(ADR, MODE);
      M.signed(data);
  }

  is O.K. You can refer M.dout within the `par' block. But

  malign M;
  par {
      M.align(ADR, MODE);
      M.signed(data);
      M.unsigned(data);
  }

  is N.G. And

  malign M;
  par {
      /* M.align(ADR, MODE); */
      M.unsigned(data);
  }

  is N.G., too.
  ***/
}
